package shop.alien.util.common.constant;

/**
 * OCR识别类型枚举
 * 
 * @author ssk
 * @date 2024/12/10
 */
public enum OcrTypeEnum {
    /**
     * 营业执照识别
     */
    BUSINESS_LICENSE("BUSINESS_LICENSE", "营业执照识别"),
    
    /**
     * 身份证识别
     */
    ID_CARD("ID_CARD", "身份证识别"),
    /**
     * 食品管理许可证识别
     */
    FOOD_MANAGE_LICENSE("FOOD_MANAGE_LICENSE", "食品经营许可证识别"),

    /**
     * 银行卡识别
     */
    BANK_CARD("BANK_CARD", "银行卡识别"),
    
    /**
     * 通用文字识别
     */
    GENERAL("GENERAL", "通用文字识别");
    
    private final String code;
    private final String description;
    
    OcrTypeEnum(String code, String description) {
        this.code = code;
        this.description = description;
    }
    
    public String getCode() {
        return code;
    }
    
    public String getDescription() {
        return description;
    }
}

